package com.ruoyi.ehsIndexStatistics.mapper;

import com.ruoyi.ehsIndexStatistics.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface EhsIndexStatisticsMapper {

    EhsIndexStatistics getEhsIndexStatistics(@Param("deptId") Long deptId);
    EhsIndexStatistics getSuperviseAndHandle(@Param("deptId") Long deptId);
    List<EhsIndexStatistics> getEhsIndexStatisticsList(@Param("deptId") Long deptId);

    List<HiddenDangerVo> getHiddenDangerVoList(@Param("vo") HiddenDangerVo vo);

    List<HiddenDangerStatisticsVo> getHiddenDangerSituationList(@Param("targetTime") Date targetTime);
    List<HiddenDangerByEnterpriseVo> getHiddenDangerSituationByEnterpriseNameList(@Param("targetTime") Date targetTime);
    List<HiddenDangerRankVo> getHiddenDangerRankVoList();
    List<HiddenDangerRankVo> getHiddenDangerRankVoByDeptIdList(@Param("targetTime") Date targetTime);
    List<Map<String,Object>> getEnterpriseMapList(@Param("targetTime") Date targetTime, @Param("deptId") Long deptId);
    List<Map<String,Object>> geteconomicTypeMapList(@Param("targetTime") Date targetTime, @Param("deptId") Long deptId);
    List<Map<String,Object>> getenterpriseScaleMapList(@Param("targetTime") Date targetTime, @Param("deptId") Long deptId);
    List<Map<String,Object>> getHiddenDangerTypeMapList(@Param("deptId") Long deptId);
    List<Map<String,Object>> getHiddenDangerStatusMapList(@Param("targetTime") Date targetTime, @Param("deptId") Long deptId);
    List<Map<String,Object>> getHiddenDangerDataMapList(@Param("yearStr") String yearStr,@Param("deptId") Long deptId);
}
